Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.statistics
Interface CIBStatistic

All Superinterfaces:
  javax.management.j2ee.statistics.Statistic

All Known Subinterfaces:
  CIBCountStatistic, CIBRangeStatistic, CIBTimeStatistic, CIBValueStatistic

All Known Implementing Classes:
  CIBCountStatisticImpl, CIBRangeStatisticImpl, CIBStatisticImpl, CIBTimeStatisticImpl, CIBValueStatisticImpl

public interface CIBStatistic
extends javax.management.j2ee.statistics.Statistic

Provides methods that should be implemented by a CIBStatistic object A Statistic interface provides the methods : getName, getUnit, getDescription, getStartTime, getLastSampleTime

Method Summary
`CIBStatistic` | `fromCompositeData(javax.management.openmbean.CompositeData data)` Returns a CIBStatistic object based on the composite data
`javax.management.openmbean.CompositeData` | `toCompositeData()` Returns a CompositeData object based on the Statistic object

Methods inherited from interface javax.management.j2ee.statistics.Statistic
`getDescription, getLastSampleTime, getName, getStartTime, getUnit`

Method Detail

### toCompositeData

    public javax.management.openmbean.CompositeData toCompositeData()
                                                             throws javax.management.openmbean.OpenDataException

  Returns a CompositeData object based on the Statistic object

  Returns:
    CompositeData
  Throws:
    `javax.management.openmbean.OpenDataException`

### fromCompositeData

    public CIBStatistic fromCompositeData(javax.management.openmbean.CompositeData data)

  Returns a CIBStatistic object based on the composite data

  Returns:
    CIBStatistic

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD